/* --- PREMIUM CSS MODÜLÜ --- */
html {
    font-family: 'Plus Jakarta Sans', sans-serif;
    background-color: #050914;
}

/* Özel Lüks İnce Scrollbar */
::-webkit-scrollbar {
    width: 6px;
}
::-webkit-scrollbar-track {
    background: #050914;
}
::-webkit-scrollbar-thumb {
    background: #1e293b;
    border-radius: 3px;
}
::-webkit-scrollbar-thumb:hover {
    background: #00e5ff;
}

/* Dropdown Ok Animasyonu Yönetimi */
.group:hover .dropdown-arrow {
    transform: rotate(180deg);
}

.backdrop-blur-xl {
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
}

/* İnce Parallaks ve Derinlik Efekti Sınıfı */
.hero-bg-parallax {
    transform: scale(1.05);
    transition: transform 0.8s cubic-bezier(0.16, 1, 0.3, 1);
}

/* Global UI Geçiş Yumuşatması */
a, button, select, input, textarea, img {
    transition: all 0.25s cubic-bezier(0.16, 1, 0.3, 1);
}

/* Hizmet Akordion Animasyonu */
.service-body {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.35s ease-out;
}
.service-body.expanded {
    max-height: 1200px;
    transition: max-height 0.5s ease-in;
}
.service-arrow {
    transition: transform 0.3s ease;
}
.service-arrow.rotated {
    transform: rotate(180deg);
}